## org.hibernate
Interface SessionFactoryObserver

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  SessionFactoryObserverChain

    public interface SessionFactoryObserver

extends Serializable

Allows reaction to basic `SessionFactory` occurrences.

Method Summary
`void` `sessionFactoryClosed(SessionFactory factory)` Callback to indicate that the given factory has been closed.
`void` `sessionFactoryCreated(SessionFactory factory)` Callback to indicate that the given factory has been created and is now ready for use.

Method Detail

### sessionFactoryCreated

    void sessionFactoryCreated(SessionFactory factory)

  Callback to indicate that the given factory has been created and is now ready for use.

  Parameters:
    `factory` - The factory initialized.

### sessionFactoryClosed

    void sessionFactoryClosed(SessionFactory factory)

  Callback to indicate that the given factory has been closed. Care should be taken in how (if at all) the passed factory reference is used since it is closed.

  Parameters:
    `factory` - The factory closed.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.